local OLD_VERSION;
local NEW_VERSION;

--========================================
-- Loads the existing config version id
-- and saves the current addon version to
-- the config.
--========================================
function MegaDamage_CheckConfigVersion()

    OLD_VERSION = MegaDamage_CheckSetting("version", MEGA_DAMAGE_VERSION_ID);
    NEW_VERSION = MEGA_DAMAGE_VERSION_ID;

    MEGA_DAMAGE['config']['version'] = NEW_VERSION;

end

--========================================
-- Returns whether or not the addon was
-- upgraded to or past the specified
-- version
--========================================
function MegaDamage_UpgradingToVersion(version)

    if ((OLD_VERSION < version) and (NEW_VERSION >= version)) then
        return true;
    end

end


--========================================
-- 1.6.4: Automatically raise damage and
-- healing thresholds to new defaults
--========================================
--function MegaDamage_Upgrade_10604Thresholds()
--
--    for k, p in pairs(MEGA_DAMAGE) do
--        if (k ~= "config") then
--            MEGA_DAMAGE[k]['min_damage'] = math.max(MEGA_DAMAGE_DEFAULT_THRESHOLD, p['min_damage']);
--            MEGA_DAMAGE[k]['min_heal'] = math.max(MEGA_HEALING_DEFAULT_THRESHOLD, p['min_heal']);
--        end
--    end
--
--end

--========================================
-- 1.6.6: Automatically adjust sound
-- selections to keep current selections
-- after adding the Silent option
--========================================
--function MegaDamage_Upgrade_10606Sounds()
--
--    for k, p in pairs(MEGA_DAMAGE) do
--        if (k ~= "config") then
--            MEGA_DAMAGE[k]['selected_sound_damage'] = math.max(1, math.min(table.maxn(MEGA_DAMAGE_SOUNDS), MEGA_DAMAGE[k]['selected_sound_damage'] + 1));
--            MEGA_DAMAGE[k]['selected_sound_healing'] = math.max(1, math.min(table.maxn(MEGA_DAMAGE_SOUNDS), MEGA_DAMAGE[k]['selected_sound_healing'] + 1));
--        end
--    end
--
--end
